Get user groups
1 min
GET
https://usermgmt-api.optimizely.com/api/usergroups
namestringName of the user group.
descriptionstringDescription of the user group.
organizationIdstringOrganization ID that the user group belongs to.
groupOwnerstringEmail address of the user group owner.
propertiesarrayAdditional properties of the user group.
usersarrayEmail addresses of users in the user group.
instanceIdsarrayInstance IDs of the user group.
roleIdsarrayIDs of the roles in the user group.
attributeIdsarrayIDs of attributes for the user group.
useExactMatchSearchboolean<p>True or false, indicating whether to perform an exact match or partial word search on the name parameter, if specified.</p>
matchAnyInstanceIdboolean<p>True or false, indicating whether to match any ID you provide in instanceIds.</p>
groupTypesarray<p>User group types. Possible values: 0 for Custom Defined, 1 for Internal Defined, 2 for Product Defined user group types.</p>
productIdsarrayProduct IDs associated with the user group.
excludeTeamsboolean<p>True or false, indicating whether to exclude Teams usergroups from the results. Defaults to true.</p>
sizeinteger<int32>Number of results to include per page.
offsetinteger<int32>Offset paging of results.
acceptstringGenerated from available response content types
200The user groups response.
400The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
401Unauthorized access to endpoint.
403Forbidden access to endpoint.
500<p>A server error occurred, please try again.</p>
curl --request GET \
--url 'https://usermgmt-api.optimizely.com/api/usergroups?properties=array' \
--header 'accept: application/json'